Bug 1126342 - Admin UI rejects FQDNs ending in a digit when creating NFS storage domains
Summary: Admin UI rejects FQDNs ending in a digit when creating NFS storage domains
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks: 1121454
TreeView+ depends on / blocked
 
Reported: 2014-08-04 08:37 UTC by Liron Aravot
Modified: 2016-02-10 18:47 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121454
Environment:
Last Closed: 2014-10-17 12:25:32 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30962 None None None Never
oVirt gerrit 30995 ovirt-engine-3.5 MERGED core: fixing nfs mountpoint FQDN regex Never

Description Liron Aravot 2014-08-04 08:37:54 UTC
## Description of problem:

In RHEV, admin UI rejects FQDNs ending in a digit when creating NFS storage domains

## Version-Release number of selected component (if applicable):

3.4, customer also reports this happening in 3.2

## How reproducible:

always

## Steps to Reproduce:
1. Create an NFS Data Center
2. On storage, create an appropriate NFS share
3. Via DNS create a domain that ends in a digit (ie: foo.example.f7)  Or, just update /etc/hosts so that storage resolves to this name.
4. Try to create a storage domain with foo.example.f7:/<export>

## Actual results:

Attempt to create SD fails ("Error while executing action: Mount path is illegal, please use [IP:/path or FQDN:/path] convention.")

## Expected results:

Create SD as expected, with FQDN ending in a digit

Comment 1 Ori Gofen 2014-08-13 13:56:16 UTC
verified on rc1
steps taken:
1.edit /etc/hosts file with FQDN that ends in a digit to an NFS domain ip
2.connect to that domain

Comment 2 Sandro Bonazzola 2014-10-17 12:25:32 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.